ELF_VERSION(3)

NAME
elf_version - retrieve or set ELF library operating version

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
unsigned int
elf_version(unsigned int version);

DESCRIPTION
The elf_version() function is used to query the current operating version of the ELF library, and to inform the ELF library about the application's desired operating version.

If the argument version is EV_NONE, the elf_version() function returns the currently configured operating version for the ELF library.

If the argument version is not EV_NONE, and if argument version is supported by the ELF library, function elf_version() sets the library's operating version to version, and returns the previous value of the operating version. If argument version cannot be supported, then the elf_version() function returns EV_NONE.

RETURN VALUES
The elf_version() function returns the currently configured ELF library version, or EV_NONE if an unsupported version is requested.

EXAMPLES
An application program would inform the ELF library about its desired operating version and check for an error using the following code snippet:

    if (elf_version(EV_CURRENT) == EV_NONE)
    	err(EXIT_FAILURE, "ELF library too old");

ERRORS
Function elf_version() may fail with the following error:

[ELF_E_VERSION]
    An unsupported library version number was requested.

SEE ALSO
elf(3), gelf(3)